org.apache.fontbox.ttf.table.common

## Class FeatureRecord

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.FeatureRecord

    public class FeatureRecord
    extends Object

This class models the Features and lookups in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`FeatureRecord(String featureTag, FeatureTable featureTable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FeatureTable` `getFeatureTable()`
`String` `getFeatureTag()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FeatureRecord

    public FeatureRecord(String featureTag,
                         FeatureTable featureTable)

### Method Detail

#### getFeatureTag

    public String getFeatureTag()

#### getFeatureTable

    public FeatureTable getFeatureTable()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`